aboutsummaryrefslogtreecommitdiff
path: root/python/python3-compreffor/python3-compreffor.SlackBuild
diff options
context:
space:
mode:
authorVijay Marcel <vijaymarcel@outlook.com>2024-11-23 07:07:11 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-11-23 07:16:08 +0700
commitc60c224dcd276bab47afb5f0340fe0fa65598bb5 (patch)
treea73448f904f2bddebd06cd4e67445e2b3abb4652 /python/python3-compreffor/python3-compreffor.SlackBuild
parent7159a6fc30373e75130791024769c98741b9114e (diff)
python/python3-compreffor: Updated for version 0.5.6.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python3-compreffor/python3-compreffor.SlackBuild')
-rw-r--r--python/python3-compreffor/python3-compreffor.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/python/python3-compreffor/python3-compreffor.SlackBuild b/python/python3-compreffor/python3-compreffor.SlackBuild
index 8e4fdc1689..d70e1fa155 100644
--- a/python/python3-compreffor/python3-compreffor.SlackBuild
+++ b/python/python3-compreffor/python3-compreffor.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=python3-compreffor
-VERSION=${VERSION:-0.5.5}
+VERSION=${VERSION:-0.5.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -83,7 +83,7 @@ CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" python3 -m build --wheel --no-isolatio
python3 -m installer --destdir "$PKG" dist/*.whl
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README.rst $PKG/usr/doc/$PRGNAM-$VERSION
@@ -93,4 +93,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+/sbin/makepkg -l y -c n --remove-rpaths --remove-tmp-rpaths $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE